Loading...
Searching...
No Matches
pcl::GFPFHSignature16 Struct Reference
Module common

A point structure representing the GFPFH descriptor with 16 bins. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | GFPFHSignature16 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | histogram [16] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const GFPFHSignature16 &p)

## Detailed Description

A point structure representing the GFPFH descriptor with 16 bins.

Definition at line 1522 of file point_types.hpp.

## Constructor & Destructor Documentation

## GFPFHSignature16()

constexpr pcl::GFPFHSignature16::GFPFHSignature16 | ( |  | ) |

inline constexpr default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::GFPFHSignature16::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1525 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const GFPFHSignature16 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::GFPFHSignature16::histogram[16] = {0.f}

Definition at line 1524 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp